### Function

# WebKit2 WebsiteDataManager set_memory_pressure_settings

since: 2.34

#### Declaration [src]

    void
    webkit_website_data_manager_set_memory_pressure_settings (
      WebKitMemoryPressureSettings* settings
    )

#### Description [src]

Sets `settings` as the `WebKitMemoryPressureSettings`.

Sets `settings` as the `WebKitMemoryPressureSettings` to be used by all the network processes created by any instance of `WebKitWebsiteDataManager` after this function is called.

Be sure to call this function before creating any `WebKitWebsiteDataManager`, as network processes of existing instances are not guaranteed to receive the passed settings.

The periodic check for used memory is disabled by default on network processes. This will be enabled only if custom settings have been set using this function. After that, in order to remove the custom settings and disable the periodic check, this function must be called passing `NULL` as the value of `settings`.

Available since: 2.34

#### Parameters

`settings`

  Type: `WebKitMemoryPressureSettings`

  A WebKitMemoryPressureSettings.

  The data is owned by the caller of the function.